# -*- coding: utf-8 -*-

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.Archetypes.public import registerType
from Products.PloneGossip.config import PROJECTNAME
from Products.PloneGossip.content import PGContainer
from Products.PloneGossip.schemas import batchSchema, moderationSchema


class PGForum( PGContainer ):
    """A forum"""

    # Configuration of my type
    portal_type = metal_type    = "PGForum"
    archetype_name              = "Forum"
    content_icon                = "forum_icon.gif"
    typeDescription             = "A simple plone gossip"
    typeDescMsgId               = "plonegossip_forum"
    schema                      = PGContainer.schema.copy() + \
                                  moderationSchema + \
                                  batchSchema
    global_allow                = True
    
    # Contents
    allowed_content_types       = ('PGThread',)

    # Views
    default_view                = 'forum_view'
    immediate_view              = 'forum_view'
    suppl_views                 = ()


registerType(PGForum, PROJECTNAME)
