# -*- coding: utf-8 -*-

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.Archetypes.public import Schema
from Products.Archetypes.public import BooleanField, BooleanWidget

moderationSchema = Schema((
    BooleanField('isModerated',
        widget = BooleanWidget(description = "If checked, the threads and posts will need to be reviewed",
                               description_msgid = "help_ismoderated",
                               label = "Is the forum moderated ?",
                               label_msgid = "label_ismoderated",
                               i18n_domain = "PloneGossip",)),
    ))
