# -*- coding: utf-8 -*-

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.CMFCore.permissions import setDefaultRoles


# Forum Rights #
AddPGForum       = 'PloneGossip: Add forum' 
ValidatePGForum  = 'PloneGossip: Review forum'

setDefaultRoles(AddPGForum,      ('Manager', 'Owner',))
setDefaultRoles(ValidatePGForum, ('Manager', 'Reviewer'))


# Thread Rights
AddPGThread       = 'PloneGossip: Add thread'
ValidatePGThread  = 'PloneGossip: Review thread'

setDefaultRoles(AddPGThread,      ('Manager', 'Owner'))
setDefaultRoles(ValidatePGThread, ('Manager', 'Reviewer'))


# Post Rights 
AddPGPost       = 'PloneGossip: Add post'
ValidatePGPost  = 'PloneGossip: Review post'

setDefaultRoles(AddPGPost,      ('Manager', 'Owner'))
setDefaultRoles(ValidatePGPost, ('Manager', 'Reviewer'))
